// Instance Documentor  Profile Branch
// Author: Bennyhoff S.T. 2004.02.02
// Default information to set up the window every time it is opened!


var nsIPrefServiceObj = {};
nsIPrefServiceObj = Components.classes["@mozilla.org/preferences-service;1"]
                                   .getService(Components.interfaces.nsIPrefService);
var nsIPrefBranchObj = nsIPrefServiceObj.getBranch(null);

var prefblnShowLinks = nsIPrefBranchObj.getBoolPref("documenter.ShowLinks");
document.getElementById('ShowLinks').checked = prefblnShowLinks;
var prefblnShowCode = nsIPrefBranchObj.getBoolPref("documenter.ShowCode");
document.getElementById('ShowCode').checked = prefblnShowCode;
//var prefblnShowLists = nsIPrefBranchObj.getBoolPref("documenter.ShowLists");
//document.getElementById('ShowLists').checked = prefblnShowLists;
var prefblnShowImages = nsIPrefBranchObj.getBoolPref("documenter.ShowImages");
document.getElementById('ShowImages').checked = prefblnShowImages;
var prefblnShowCookies = nsIPrefBranchObj.getBoolPref("documenter.ShowCookies");
document.getElementById('ShowCookies').checked = prefblnShowCookies;
var prefblnShowStyles = nsIPrefBranchObj.getBoolPref("documenter.ShowStylesBlock");
document.getElementById('ShowStylesBlock').checked = prefblnShowStyles;
var prefstrUserName = nsIPrefBranchObj.getCharPref("documenter.UserName");
document.getElementById('UserName').value = prefstrUserName;

// Set colors
document.getElementById('TitleColor').color = nsIPrefBranchObj.getCharPref("documenter.TitleColor");
document.getElementById('HiddenColor').color = nsIPrefBranchObj.getCharPref("documenter.HiddenColor");

// Set Values
document.getElementById('OptionListMax').value = nsIPrefBranchObj.getCharPref("documenter.OptionListMax");
document.getElementById('DefaultReportTitle').value = nsIPrefBranchObj.getCharPref("documenter.DefaultReportTitle");

// Set Check Boxes
document.getElementById('IncludeUserName').checked = nsIPrefBranchObj.getBoolPref("documenter.IncludeUserName");
document.getElementById('ShowForms').checked = nsIPrefBranchObj.getBoolPref("documenter.ShowForms");
document.getElementById('ShowImageDuplicates').checked = nsIPrefBranchObj.getBoolPref("documenter.ShowImageDuplicates");
document.getElementById('ShowForms').checked = nsIPrefBranchObj.getBoolPref("documenter.ShowForms");
document.getElementById('ShowProperties').checked = nsIPrefBranchObj.getBoolPref("documenter.ShowProperties");
document.getElementById('LimitOptionLists').checked = nsIPrefBranchObj.getBoolPref("documenter.LimitOptionLists");
document.getElementById('ShowOptionLists').checked = nsIPrefBranchObj.getBoolPref("documenter.ShowOptionLists");
document.getElementById('UseHiddenColors').checked = nsIPrefBranchObj.getBoolPref("documenter.UseHiddenColors");
document.getElementById('ShowQueryStrings').checked = nsIPrefBranchObj.getBoolPref("documenter.ShowQueryStrings");
document.getElementById('ShowCodesInTag').checked = nsIPrefBranchObj.getBoolPref("documenter.ShowCodesInTag");
document.getElementById('ShowOptionLists').checked = nsIPrefBranchObj.getBoolPref("documenter.ShowOptionLists");
document.getElementById('LimitOptionLists').checked = nsIPrefBranchObj.getBoolPref("documenter.LimitOptionLists");
document.getElementById('ShowStylesTag').checked = nsIPrefBranchObj.getBoolPref("documenter.ShowStylesTag");

// Report Settings
document.getElementById('AgentInfo').checked = nsIPrefBranchObj.getBoolPref("documenter.AgentInfo");
document.getElementById('ReferrerInfo').checked = nsIPrefBranchObj.getBoolPref("documenter.ReferrerInfo");
document.getElementById('PathInfo').checked = nsIPrefBranchObj.getBoolPref("documenter.PathInfo");
document.getElementById('HostInfo').checked = nsIPrefBranchObj.getBoolPref("documenter.HostInfo");
document.getElementById('LastMod').checked = nsIPrefBranchObj.getBoolPref("documenter.LastMod");
document.getElementById('DontAskForTitle').checked = nsIPrefBranchObj.getBoolPref("documenter.DontAskForTitle");


for (var ii = 1; ii < 6; ii++)
{
	document.getElementById('SpecTag' + ii.toString()).value = nsIPrefBranchObj.getCharPref("documenter.SpecTag" + ii.toString());
	document.getElementById('SpecialCheck' + ii.toString()).checked = nsIPrefBranchObj.getBoolPref("documenter.SpecCheck" + ii.toString());
	if (document.getElementById('SpecialCheck' + ii.toString()).checked)
	{
		document.getElementById('SpecTag' + ii.toString()).disabled = false;
	}
}
for (var ii = 1; ii < 12; ii++)
{
	document.getElementById('Prop' + ii.toString()).checked = nsIPrefBranchObj.getBoolPref("documenter.Prop" + ii.toString());
}
for (var ii = 1; ii < 8; ii++)
{
		document.getElementById('ImageProp' + ii.toString()).checked = nsIPrefBranchObj.getBoolPref("documenter.ImageProp" + ii.toString());
}

EnableDisableTextByID("ShowForms", "UseHiddenColors");
EnableDisableTextByID("ShowForms", "ShowOptionLists");
EnableDisableTextByID("IncludeUserName", "UserName");
EnableDisableTextByID("ShowForms", "ShowOptionLists");
EnableDisableTextByID("ShowOptionLists", "LimitOptionLists");
EnableDisableTextByID("LimitOptionLists", "OptionListMax");

//===============================================================================================
// End of code run when loaded
//===============================================================================================


function ProcessTree()
{
try
{
var selectedItem = document.getElementById('categoryTree').contentView.getItemAtIndex(document.getElementById('categoryTree').currentIndex);
var newPanel = selectedItem.firstChild.firstChild.getAttribute('label');
setDeck(document.getElementById('categoryTree').currentIndex);
}
catch(error)
{
alert('The following error occurred:\n' + error);
}
}

// The following will allow vaious items to be displayed in a "deck"!
function setDeck(index)
{
    document.getElementById("my-deck").setAttribute("selectedIndex",index);
}

// 
function EnableImageChoices()
{
    if(document.getElementById("ShowImagesQ").checked == true)
{
document.getElementById("ShowImageTitle").disabled = false;
document.getElementById("ShowImageURL").disabled = false;
document.getElementById("ShowImageAlt").disabled = false;
document.getElementById("ShowImageLowRes").disabled = false;
document.getElementById("ShowImageAll").disabled = false;
document.getElementById("ShowImageDuplicates").disabled = false;
}
else
{
document.getElementById("ShowImageTitle").disabled = true;
document.getElementById("ShowImageURL").disabled = true;
document.getElementById("ShowImageAlt").disabled = true;
document.getElementById("ShowImageLowRes").disabled = true;
document.getElementById("ShowImageAll").disabled = true;
document.getElementById("ShowImageDuplicates").disabled = true;
}
}


function CheckImageChoices()
{
var status;
status = document.getElementById("ShowImageAll").checked;
	
document.getElementById("ShowImageTitle").checked = status;
document.getElementById("ShowImageURL").checked = status;
document.getElementById("ShowImageAlt").checked = status;
document.getElementById("ShowImageLowRes").checked = status;
}

function EnableFormChoices()
{
var blnFormStatus = !document.getElementById("ShowForms").checked;
document.getElementById("ShowOptionLists").disabled = blnFormStatus;
document.getElementById("UseHiddenColors").disabled = blnFormStatus;
}

function SpecialTag(CheckBox,TagNumber)
{
document.getElementById("SpecTag"+TagNumber).disabled = ! CheckBox.checked;
}

function SaveSettings()
{
try{
// Boolean Settings
    nsIPrefBranchObj.setBoolPref("documenter.ShowLinks", document.getElementById('ShowLinks').checked);
    nsIPrefBranchObj.setBoolPref("documenter.ShowQueryStrings", document.getElementById('ShowQueryStrings').checked);
    nsIPrefBranchObj.setBoolPref("documenter.ShowCode", document.getElementById('ShowCode').checked);
    nsIPrefBranchObj.setBoolPref("documenter.ShowImages", document.getElementById('ShowImages').checked);
    nsIPrefBranchObj.setBoolPref("documenter.ShowCookies", document.getElementById('ShowCookies').checked);
    nsIPrefBranchObj.setBoolPref("documenter.ShowStylesBlock", document.getElementById('ShowStylesBlock').checked);
    nsIPrefBranchObj.setBoolPref("documenter.ShowProperties", document.getElementById('ShowProperties').checked);
    nsIPrefBranchObj.setBoolPref("documenter.ShowForms", document.getElementById('ShowForms').checked);
    nsIPrefBranchObj.setBoolPref("documenter.ShowImageDuplicates", document.getElementById('ShowImageDuplicates').checked);
    nsIPrefBranchObj.setBoolPref("documenter.AgentInfo", document.getElementById('AgentInfo').checked);
    nsIPrefBranchObj.setBoolPref("documenter.ReferrerInfo", document.getElementById('ReferrerInfo').checked);
    nsIPrefBranchObj.setBoolPref("documenter.PathInfo", document.getElementById('PathInfo').checked);
    nsIPrefBranchObj.setBoolPref("documenter.HostInfo", document.getElementById('HostInfo').checked);
    nsIPrefBranchObj.setBoolPref("documenter.LastMod", document.getElementById('LastMod').checked);
    nsIPrefBranchObj.setBoolPref("documenter.IncludeUserName", document.getElementById('IncludeUserName').checked);
    nsIPrefBranchObj.setBoolPref("documenter.DontAskForTitle", document.getElementById('DontAskForTitle').checked);
    nsIPrefBranchObj.setBoolPref("documenter.ShowOptionLists", document.getElementById('ShowOptionLists').checked);
    nsIPrefBranchObj.setBoolPref("documenter.LimitOptionLists", document.getElementById('LimitOptionLists').checked);
    nsIPrefBranchObj.setBoolPref("documenter.UseHiddenColors", document.getElementById('UseHiddenColors').checked);
    nsIPrefBranchObj.setBoolPref("documenter.ShowCodesInTag", document.getElementById('ShowCodesInTag').checked);
    nsIPrefBranchObj.setBoolPref("documenter.ShowOptionLists", document.getElementById('ShowOptionLists').checked);
    nsIPrefBranchObj.setBoolPref("documenter.LimitOptionLists", document.getElementById('LimitOptionLists').checked);
    nsIPrefBranchObj.setBoolPref("documenter.ShowStylesTag", document.getElementById('ShowStylesTag').checked);

// Character Settings
    nsIPrefBranchObj.setCharPref("documenter.UserName", document.getElementById('UserName').value);
    nsIPrefBranchObj.setCharPref("documenter.OptionListMax", document.getElementById('OptionListMax').value);
    nsIPrefBranchObj.setCharPref("documenter.DefaultReportTitle", document.getElementById('DefaultReportTitle').value);

// Color Settings
    nsIPrefBranchObj.setCharPref("documenter.TitleColor", document.getElementById('TitleColor').color);
    nsIPrefBranchObj.setCharPref("documenter.HiddenColor", document.getElementById('HiddenColor').color);

// SpecialTags
    for (var i = 1; i < 6; i++)
	{
		nsIPrefBranchObj.setCharPref("documenter.SpecTag" + i.toString(), document.getElementById('SpecTag' + i.toString()).value);
		nsIPrefBranchObj.setBoolPref("documenter.SpecCheck" + i.toString(), document.getElementById('SpecialCheck' + i.toString()).checked);
	}
    nsIPrefServiceObj.savePrefFile(null);
// Properties
    for (var ii = 1; ii < 12; ii++)
    {
	    nsIPrefBranchObj.setBoolPref("documenter.Prop" + ii.toString(), document.getElementById('Prop' + ii.toString()).checked);
    }
// Image Properties
    for (var ii = 1; ii < 8; ii++)
    {
	    nsIPrefBranchObj.setBoolPref("documenter.ImageProp" + ii.toString(), document.getElementById('ImageProp' + ii.toString()).checked);
		nsIPrefBranchObj.setCharPref("documenter.ImagePropValue" + ii.toString(), document.getElementById('ImageProp' + ii.toString()).getAttribute('value') );
    }

}
catch(error)
{
alert('The following error occurred during the save:\n' + 'ii was ' + ii.toString() + '\n' + error);
}
window.close();
}

function EnableDisableText(TheCheckBox, IDOfText)
{
document.getElementById(IDOfText).disabled = !TheCheckBox.checked;
}

function EnableDisableTextByID(TheCheckBoxID, IDOfText)
{
document.getElementById(IDOfText).disabled = !document.getElementById(TheCheckBoxID).checked;
}

